*,
*::before,
*::after {
  padding: 0px;
  box-sizing: border-box;
  margin: 0px;
}
html,
body {
  display: flex;
  width: 100%;
  height: fit-content;
  justify-content: center;
}

.affiliate {
  &-wrapper {
    display: flex;
    max-width: 784px;
    width: 100%;
    height: 100%;
  }

  &-table {
    width: 100%;
    height: 100%;

    &__body {
      display: flex;
      width: 100%;
      height: 100%;
      flex-direction: column;
      gap: 10px;

      td {
        display: flex;
        position: relative;
      }
    }

    &__item {
      display: grid;
      grid-template-areas:
        "a a b b"
        "c d b b";
      width: 100%;
      align-items: start;
      row-gap: 20px;
      justify-content: space-between;
      padding: 22px 20px;
      //gradient
      $border: 1px;
      background: white;
      background-clip: padding-box;
      border: $border solid transparent;
      position: relative;
      border-radius: 20px;

      &:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;
        margin: -$border;
        border-radius: inherit;
        background: linear-gradient(40deg, #ff4eb166, #1977f366);
      }

      &_meta {
        grid-area: a;
        gap: 16px;
        font-family: "Poppins";
        font-weight: 400;

        span {
          position: absolute;
          top: -10px;
          left: -4px;
          background: linear-gradient(1.51deg, #ebf1ff 5.34%, #f2f5fe 72.41%);
          border-radius: 8px;
          width: 32px;
          height: 32px;
          display: flex;
          justify-content: center;
          align-items: center;
          font-weight: 700;
          font-size: 14px;
        }

        img {
          width: 100%;
          height: 100%;
          max-width: 95px;
          max-height: 63px;
        }

        div {
          display: flex;
          flex-direction: column;
          height: fit-content;
          gap: 2px;
          top: 9px;
          position: relative;

          p {
            font-size: 16px;
            font-weight: 600;
            display: flex;
            align-items: center;
            gap: 4px;

            span {
              justify-content: unset;
              position: unset;
              top: unset;
              left: unset;
              background: linear-gradient(
                93.1deg,
                #b8b0f7 -53.88%,
                #7161ef 154.81%
              );
              color: white;
              font-size: 8px;
              line-height: unset;
              margin: 0;
              font-weight: 600;
              padding: 0.5px 4px;
              border-radius: 3px;
              height: fit-content;
              width: fit-content;
              text-transform: uppercase;
            }
          }

          a {
            font-size: 12px;
            font-weight: 500;
            color: #7161ef;
          }
        }
      }

      &_stars {
        grid-area: d;
        font-size: 25px;
        font-family: Poppins;
        flex-direction: column;
        left: -14px;
        top: 4px;
        height: fit-content;
        align-self: center;

        span {
          font-size: 16px;
          font-weight: 400;
          letter-spacing: 0.7px;
          b {
            font-size: 26px;
            font-weight: 600;
            line-height: 0px;
          }
        }

        div {
          height: fit-content;
          display: flex;
          gap: 1.9px;
        }
      }

      &_bonus {
        grid-area: b;
        font-weight: 700;
        flex-direction: column;
        padding: 16px;
        font-family: Poppins;
        background: linear-gradient(1.51deg, #ebf1ff 5.34%, #f2f5fe 72.41%);
        border-radius: 20px;
        max-width: 360px;
        min-width: 360px;
        width: 100%;
        margin-left: auto;

        div {
          display: flex;
          gap: 5px;
          align-items: center;
          padding: 2.7px 12px;
          border-radius: 8px;
          background: white;
          max-width: fit-content;
          font-weight: 400;
          font-size: 14px;
        }

        p {
          font-size: 20px;
          margin-top: 4px;
          font-weight: 600;
          color: #7161ef;
        }

        a {
          display: flex;
          gap: 12px;
          align-items: center;
          color: #25283d;
          text-decoration: none;
          font-weight: 400;
          margin-top: 14px;
          font-size: 12px;
        }
      }

      &_button {
        grid-area: c;
        button {
          font-family: "Poppins";
          font-weight: 600;
          max-height: 56px;
          padding: 15px 49px;
          outline: none;
          color: white;
          font-size: 16px;
          background: #2dc564;
          border-radius: 12px;
          border: none;
          cursor: pointer;
          transition: background 0.2s ease;
          &:hover {
            background: #0e9665;
          }
        }
      }
    }
  }

  @media (max-width: 768px) {
    &-table {
      &__body {
        display: flex;
        width: 100%;
        height: 100%;
        flex-direction: column;
        gap: 10px;

        td {
          align-items: center;
          justify-content: center;
        }
      }

      &__item {
        grid-template-areas:
          "a"
          "b"
          "c";
        grid-template-columns: 100%;
        justify-content: center;
        row-gap: 24px;
        padding: 12px 13px 16px;
        border-radius: 20px;

        &_meta {
          grid-area: a;
          flex-direction: column;
          gap: 8px;

          span {
            top: -6px;
            left: -7px;
          }

          img {
            max-width: 164px;
            max-height: 108px;
          }

          div {
            top: unset;
            align-items: center;
            gap: unset;
            p {
              font-size: 15px;
              gap: 4px;
            }

            a {
              margin-top: 14px;
              font-size: 16px;
            }
          }
        }

        &_stars {
          grid-area: unset;
          flex-direction: row !important;
          left: unset;
          top: unset;
          gap: 7px !important;
          margin-top: 4px;

          span {
            background: unset;
            border-radius: unset;
            width: auto;
            height: auto;
            top: unset;
            left: unset;
            position: relative;
            display: flex;
            align-items: end;
            gap: 1px;
            b {
              font-size: 24px;
              line-height: normal;
            }
          }

          div {
            flex-direction: row;
            gap: 1.9px;
          }
        }

        &_bonus {
          grid-area: b;
          max-width: unset;
          min-width: unset;
          width: 100%;
          margin-left: unset;
          text-align: center;
          padding: 12px 16px 10px;
        }

        &_button {
          grid-area: c;
          button {
            max-height: 56px;
            width: 100%;
            padding: 16px 49px;
          }
        }
      }
    }
  }
}
